/*
 * Hardware tuning for the Intel 82437VX TDX Host bridge
 */

/*
 * Notes:
   The VX seems to have a few 'issues' which we should take care of at some point.
   1. If L2 cache is present, we should not enable speculative leadoff. Timing issues
      may exist on cache misses.
   2. PCI bursting should not be enabled if a video card using the ET4000/w32 chipset
      is detected.
 */

#include "82437.h"

void tune_Intel_82437VX(struct pci_dev *current_dev)
{
	int throw_away;
	throw_away = tune_device (Intel_82437VX_Tweaks, current_dev);
}
